Summary: A tool for applying patches with conflicts
Name: wiggle
Version: 1.3
Release: 1
License: GPL
Group: Development/Tools 
URL: http://neil.brown.name/wiggle/
Source0: https://github.com/neilbrown/%{name}/archive/refs/tags/v%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: make
BuildRequires: gcc
BuildRequires: libncurses-devel

%description
Wiggle is a program for applying patches that 'patch' cannot
apply due to conflicting changes in the original.

Wiggle will always apply all changes in the patch to the original.
If it cannot find a way to cleanly apply a patch, it inserts it
in the original in a manner similar to 'merge', and report an
unresolvable conflict.

%prep
%setup -q -n %{name}-%{version}

%build
%make \
     MANDIR=%{_mandir} MAN1DIR=%{_mandir}/man1 MAN5DIR=%{_mandir}/man5 \
     wiggle

%install
# rm -rf $RPM_BUILD_ROOT
# mkdir -p $RPM_BUILD_ROOT/usr/bin
# mkdir -p $RPM_BUILD_ROOT%{_mandir}/man{1,5}

%make_install

%files
%{_bindir}/wiggle
%{_mandir}/man1/wiggle.1*
%doc ANNOUNCE TODO notes
%doc p p.help

